package com.realnet.app-b.Services;
import com.realnet.app-b.Repository.TodoRepository;
import com.realnet.app-b.Entity.Todo
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;








	import org.springframework.stereotype.Service;

@Service
 public class TodoService {
@Autowired
private TodoRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;







public Todo Savedata(Todo data) {








	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Todo save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Todo> getAllWithPagination(Pageable page) {
		return Repository.findAll( getUser().getUserId(),page);
	}			
public List<Todo> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Todo> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Todo getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Todo update(Todo data,Integer id) {
	Todo old = Repository.findById(id).get();
old.setTask(data.getTask());

old.setDescription(data.getDescription());

old.setCompleted(data.getCompleted());

old.setDuedate(data.getDuedate());

final Todo test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 








 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
